org.eclipse.viatra.query.runtime.rete.recipes

## Interface RederivableNodeRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    MultiParentNodeRecipe, ProductionRecipe, SingleColumnAggregatorRecipe, UniquenessEnforcerRecipe
  All Known Implementing Classes:
    MultiParentNodeRecipeImpl, ProductionRecipeImpl, RederivableNodeRecipeImpl, SingleColumnAggregatorRecipeImpl, UniquenessEnforcerRecipeImpl

      public interface RederivableNodeRecipe
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rederivable Node Recipe'.

  The following features are supported:

  - `Delete Rederive Evaluation`
  - `Optional Monotonicity Info`
  See Also:
    `RecipesPackage.getRederivableNodeRecipe()`
  Generated:
  Model:
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MonotonicityInfo` | `getOptionalMonotonicityInfo()` Returns the value of the 'Optional Monotonicity Info' containment reference.
    `boolean` | `isDeleteRederiveEvaluation()` Returns the value of the 'Delete Rederive Evaluation' attribute.
    `void` | `setDeleteRederiveEvaluation(boolean value)` Sets the value of the '`Delete Rederive Evaluation`' attribute.
    `void` | `setOptionalMonotonicityInfo(MonotonicityInfo value)` Sets the value of the '`Optional Monotonicity Info`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### isDeleteRederiveEvaluation

          boolean isDeleteRederiveEvaluation()

      Returns the value of the 'Delete Rederive Evaluation' attribute. The default value is `"false"`.
      Returns:
        the value of the 'Delete Rederive Evaluation' attribute.
      See Also:
        `setDeleteRederiveEvaluation(boolean)`, `RecipesPackage.getRederivableNodeRecipe_DeleteRederiveEvaluation()`
      Generated:
      Model:
        default="false"

    - #### setDeleteRederiveEvaluation

          void setDeleteRederiveEvaluation(boolean value)

      Sets the value of the '`Delete Rederive Evaluation`' attribute.
      Parameters:
        `value` - the new value of the 'Delete Rederive Evaluation' attribute.
      See Also:
        `isDeleteRederiveEvaluation()`
      Generated:

    - #### getOptionalMonotonicityInfo

          MonotonicityInfo getOptionalMonotonicityInfo()

      Returns the value of the 'Optional Monotonicity Info' containment reference.
      Returns:
        the value of the 'Optional Monotonicity Info' containment reference.
      See Also:
        `setOptionalMonotonicityInfo(MonotonicityInfo)`, `RecipesPackage.getRederivableNodeRecipe_OptionalMonotonicityInfo()`
      Generated:
      Model:
        containment="true" resolveProxies="true"

    - #### setOptionalMonotonicityInfo

          void setOptionalMonotonicityInfo(MonotonicityInfo value)

      Sets the value of the '`Optional Monotonicity Info`' containment reference.
      Parameters:
        `value` - the new value of the 'Optional Monotonicity Info' containment reference.
      See Also:
        `getOptionalMonotonicityInfo()`
      Generated: